JBossCluster (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossCluster

All Superinterfaces:
  AppServerCluster, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface JBossCluster

extends AppServerCluster

A JBoss Cluster.

Naming Rules:
  0="UDPMulticastAddress,name"
Persistable:
  true
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClusterAddress()`
`java.lang.String` | `getDistributedReplicantManagerServices()`
`java.lang.String` | `getDistributedState()`
`FarmMemberService[]` | `getFarmMemberService()`
`HAILSingletonController` | `getHAILSingletonController()`
`HAJNDI` | `getHAJNDI()`
`HASessionState` | `getHASessionState()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPartitonProperties()`
`java.lang.String` | `getUDPMulticastAddress()`
`boolean` | `hasClusterAddress()`
`boolean` | `hasDistributedReplicantManagerServices()`
`boolean` | `hasDistributedState()`
`boolean` | `hasFarmMemberService()`
`boolean` | `hasHAILSingletonController()`
`boolean` | `hasHAJNDI()`
`boolean` | `hasHASessionState()`
`boolean` | `hasName()`
`boolean` | `hasPartitonProperties()`
`boolean` | `hasUDPMulticastAddress()`
`void` | `setClusterAddress(java.lang.String clusterAddress)`
`void` | `setDistributedReplicantManagerServices(java.lang.String services)`
`void` | `setDistributedState(java.lang.String state)`
`void` | `setFarmMemberService(FarmMemberService[] farmMemberService)`
`void` | `setHAILSingletonController(HAILSingletonController hailSingletonController)`
`void` | `setHAJNDI(HAJNDI hajndi)`
`void` | `setHASessionState(HASessionState haSessionState)`
`void` | `setName(java.lang.String name)`
`void` | `setPartitonProperties(java.lang.String properties)`
`void` | `setUDPMulticastAddress(java.lang.String address)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`getIp, getPort, getServers, getStatus, getVipFunction, hasIp, hasPort, hasServers, hasStatus, hasVipFunction, setIp, setPort, setServers, setStatus, setVipFunction`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getClusterAddress

    java.lang.String getClusterAddress()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClusterAddress

    void setClusterAddress(java.lang.String clusterAddress)

### hasClusterAddress

    boolean hasClusterAddress()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getPartitonProperties

    java.lang.String getPartitonProperties()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPartitonProperties

    void setPartitonProperties(java.lang.String properties)

### hasPartitonProperties

    boolean hasPartitonProperties()

### getUDPMulticastAddress

    java.lang.String getUDPMulticastAddress()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUDPMulticastAddress

    void setUDPMulticastAddress(java.lang.String address)

### hasUDPMulticastAddress

    boolean hasUDPMulticastAddress()

### getDistributedReplicantManagerServices

    java.lang.String getDistributedReplicantManagerServices()
                                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDistributedReplicantManagerServices

    void setDistributedReplicantManagerServices(java.lang.String services)

### hasDistributedReplicantManagerServices

    boolean hasDistributedReplicantManagerServices()

### getDistributedState

    java.lang.String getDistributedState()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDistributedState

    void setDistributedState(java.lang.String state)

### hasDistributedState

    boolean hasDistributedState()

### getHAJNDI

    HAJNDI getHAJNDI()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setHAJNDI

    void setHAJNDI(HAJNDI hajndi)

### hasHAJNDI

    boolean hasHAJNDI()

### getHASessionState

    HASessionState getHASessionState()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setHASessionState

    void setHASessionState(HASessionState haSessionState)

### hasHASessionState

    boolean hasHASessionState()

### getHAILSingletonController

    HAILSingletonController getHAILSingletonController()
                                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setHAILSingletonController

    void setHAILSingletonController(HAILSingletonController hailSingletonController)

### hasHAILSingletonController

    boolean hasHAILSingletonController()

### getFarmMemberService

    FarmMemberService[] getFarmMemberService()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setFarmMemberService

    void setFarmMemberService(FarmMemberService[] farmMemberService)

### hasFarmMemberService

    boolean hasFarmMemberService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD